Fulfillment & ShippingOverrides
Update tax override
PUT
/v1/taxes/overrides/{id}Update tax override. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
id*string
Unique identifier of the resource.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/v1/taxes/overrides/7204558912004325301" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "taxRegionId": "7204558912004325301", "name": "Example resource", "target": "products", "rate": 1, "isExempt": false, "collectionId": "7204558912004325301", "categoryId": "7204558912004325301", "productType": "example" }'{ "id": "7204558912004325301", "storeId": "7204558912004325301", "taxRegionId": "7204558912004325301", "name": "Example resource", "target": "products", "rate": 1, "isExempt": false, "collectionId": "7204558912004325301", "categoryId": "7204558912004325301", "productType": "example", "description": "Example description.", "createdOn": "2026-08-01T15:30:00Z", "updatedOn": "2026-08-01T15:30:00Z"}